> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete review rule



## OpenAPI

````yaml /openapi.json delete /api/v1/review-rules/{id}
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
  description: Programmatic access to Capy's agent platform.
servers:
  - url: https://api.capy.ai
security:
  - bearerAuth: []
tags:
  - name: automations
  - name: projects
  - name: threads
  - name: folders
  - name: tasks
  - name: messages
  - name: reviews
  - name: reviewRules
  - name: usage
  - name: users
paths:
  /api/v1/review-rules/{id}:
    delete:
      tags:
        - reviewRules
      summary: Delete review rule
      operationId: reviewRules.remove
      parameters:
        - name: id
          in: path
          schema:
            type: string
            allOf:
              - minLength: 32
              - maxLength: 32
            pattern: ^rrule_
          required: true
      responses:
        '200':
          description: ReviewRuleUpdated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewRuleUpdatedEncoded'
        '400':
          description: capy/InvalidRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_InvalidRequestEncoded'
        '401':
          description: capy/Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_UnauthorizedEncoded'
        '403':
          description: capy/Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_ForbiddenEncoded'
        '429':
          description: capy/RateLimited
          headers:
            retry-after:
              schema:
                type: integer
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_RateLimitedEncoded'
      security:
        - bearerAuth: []
components:
  schemas:
    ReviewRuleUpdatedEncoded:
      type: object
      properties:
        id:
          type: string
          allOf:
            - minLength: 32
            - maxLength: 32
          pattern: ^rrule_
        rule:
          anyOf:
            - $ref: '#/components/schemas/ReviewRuleEncoded'
            - type: 'null'
        deleted:
          type: boolean
      required:
        - id
        - rule
        - deleted
      additionalProperties: false
    capy_InvalidRequestEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/InvalidRequest
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    capy_UnauthorizedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Unauthorized
      required:
        - _tag
      additionalProperties: false
    capy_ForbiddenEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Forbidden
      required:
        - _tag
      additionalProperties: false
    capy_RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/RateLimited
        retryAfterSeconds:
          type: integer
      required:
        - _tag
        - retryAfterSeconds
      additionalProperties: false
    ReviewRuleEncoded:
      type: object
      properties:
        id:
          type: string
          allOf:
            - minLength: 32
            - maxLength: 32
          pattern: ^rrule_
        body:
          type: string
        scopes:
          type: array
          items:
            type: object
            properties:
              repo:
                anyOf:
                  - type: string
                  - type: 'null'
              paths:
                type: array
                items:
                  type: string
              githubRepoId:
                anyOf:
                  - anyOf:
                      - type: number
                      - type: string
                        enum:
                          - Infinity
                          - '-Infinity'
                          - NaN
                  - type: 'null'
              covered:
                type: boolean
              heldByCaller:
                type: boolean
            required:
              - repo
              - paths
              - githubRepoId
              - covered
              - heldByCaller
            additionalProperties: false
        file:
          anyOf:
            - type: object
              properties:
                repo:
                  type: string
                path:
                  type: string
                githubRepoId:
                  anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
                covered:
                  type: boolean
              required:
                - repo
                - path
                - githubRepoId
                - covered
              additionalProperties: false
            - type: 'null'
        status:
          type: string
          enum:
            - active
            - inactive
        source:
          type: string
          enum:
            - app
            - api
            - tool
            - comment
        sourceRef:
          anyOf:
            - type: string
            - type: 'null'
        createdByUserId:
          anyOf:
            - type: string
            - type: 'null'
        createdByName:
          anyOf:
            - type: string
            - type: 'null'
        firedCount:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        lastFired:
          anyOf:
            - type: object
              properties:
                repo:
                  type: string
                prNumber:
                  type: integer
                at:
                  type: string
              required:
                - repo
                - prNumber
                - at
              additionalProperties: false
            - type: 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - body
        - scopes
        - file
        - status
        - source
        - sourceRef
        - createdByUserId
        - createdByName
        - firedCount
        - lastFired
        - createdAt
        - updatedAt
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Capy API key
      description: An API key created in Capy under Settings → API.

````